---
- name: Wait for winrm connection
  hosts: all
  gather_facts: false
  tasks:
    - name: print host info
      debug:
        var: ansible_host
    - name: print port
      debug:
        var: ansible_port
    - name: Wait some seconds
      wait_for_connection:
        connect_timeout: 2
        delay: 10
        sleep: 2
        timeout: 600
